DeflaterOutputStream
Date: 2015-09-12

com.jcraft.jzlib

## Class DeflaterOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - com.jcraft.jzlib.DeflaterOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable
  Direct Known Subclasses:
    GZIPOutputStream

      public class DeflaterOutputStream
      extends java.io.FilterOutputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `buffer`
    `protected static int` | `DEFAULT_BUFSIZE`
    `protected Deflater` | `deflater`
    `protected boolean` | `mydeflater`

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeflaterOutputStream(java.io.OutputStream out)`
    `DeflaterOutputStream(java.io.OutputStream out, Deflater def)`
    `DeflaterOutputStream(java.io.OutputStream out, Deflater deflater, int size)`
    `DeflaterOutputStream(java.io.OutputStream out, Deflater deflater, int size, boolean close_out)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected int` | `deflate(int flush)`
    `void` | `finish()`
    `void` | `flush()`
    `Deflater` | `getDeflater()`
    `boolean` | `getSyncFlush()`
    `long` | `getTotalIn()`
    `long` | `getTotalOut()`
    `void` | `setSyncFlush(boolean syncFlush)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.io.FilterOutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### deflater

          protected final Deflater deflater

    - #### buffer

          protected byte[] buffer

    - #### mydeflater

          protected boolean mydeflater

    - #### DEFAULT_BUFSIZE

          protected static final int DEFAULT_BUFSIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DeflaterOutputStream

          public DeflaterOutputStream(java.io.OutputStream out)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### DeflaterOutputStream

          public DeflaterOutputStream(java.io.OutputStream out,
                              Deflater def)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### DeflaterOutputStream

          public DeflaterOutputStream(java.io.OutputStream out,
                              Deflater deflater,
                              int size)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### DeflaterOutputStream

          public DeflaterOutputStream(java.io.OutputStream out,
                              Deflater deflater,
                              int size,
                              boolean close_out)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### write

          public void write(int b)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(byte[] b,
                   int off,
                   int len)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

    - #### finish

          public void finish()
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

    - #### deflate

          protected int deflate(int flush)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### flush

          public void flush()
                     throws java.io.IOException

      Specified by:
        `flush` in interface `java.io.Flushable`
      Overrides:
        `flush` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

    - #### getTotalIn

          public long getTotalIn()

    - #### getTotalOut

          public long getTotalOut()

    - #### setSyncFlush

          public void setSyncFlush(boolean syncFlush)

    - #### getSyncFlush

          public boolean getSyncFlush()

    - #### getDeflater

          public Deflater getDeflater()